<?php
class PAgosA_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }
 

    public function buscarVentaFranquicia($fran) {
      $this->db->where('Franquicias_IdFranquicias', $fran);
       //Valida que se haya hecho la consulta
      $query = $this->db->get('ventas');
      if ($query->num_rows() > 0){
        return $query;
      }else{
       echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      redirect('pagos/administrador/pagosA','refresh');
      }
  }

    //Consulta que hace la busqueda del usuario 
     function buscarV($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)
    $this->db->SELECT('*');
    $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
    $this->db->FROM('ventas');
    $this->db->like('ClienteVenta', $query);
     $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA','refresh');
    }
  }



  function buscarVentaF($query,$fran) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)
 

    $this->db->SELECT('*');
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->where('Franquicias_IdFranquicias',$fran);
    $this->db->like('ClienteVenta', $query);
    $query = $this->db->get('ventas');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA','refresh');
    }
  }

    function buscarP1($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

  
    $this->db->SELECT('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->FROM('pago1');
    $this->db->like('ClienteVenta', $query);

     $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago1','refresh');
    }
  }

    function buscarVP1($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

    $this->db->select('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->FROM('pago1');
    $this->db->where('franquicias_IdFranquicias',$query);

    $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago1','refresh');
    }
  }

    public function obtenerenlace ($id){ //permite acceder al id del cliente que se desea editar por medio de la variable $id que es pasada por el controlador
     
      $this->db->where('ventas_IdVentas', $id);
      $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
      $query=$this->db->get('pago1');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }

       public function obtenerenlace2 ($id){ //permite acceder al id del cliente que se desea editar por medio de la variable $id que es pasada por el controlador
     
      $this->db->where('ventas_IdVentas', $id);
      $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
      $query=$this->db->get('pago2');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }

          public function obtenerenlace3 ($id){ //permite acceder al id del cliente que se desea editar por medio de la variable $id que es pasada por el controlador
     
      $this->db->where('ventas_IdVentas', $id);
      $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
      $query=$this->db->get('pago3');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }


          public function obtenerenlace4 ($id){ //permite acceder al id del cliente que se desea editar por medio de la variable $id que es pasada por el controlador
     
      $this->db->where('ventas_IdVentas', $id);
      $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
      $query=$this->db->get('pago4');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }





   function buscarVP2($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

    $this->db->select('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->FROM('pago2');
    $this->db->where('franquicias_IdFranquicias',$query);

    $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago2','refresh');
    }
  }

    function buscarP2($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

  
    $this->db->SELECT('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->FROM('pago2');
    $this->db->like('ClienteVenta', $query);

     $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago2','refresh');
    }
  }


    function buscarVP3($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

    $this->db->select('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->FROM('pago3');
    $this->db->where('franquicias_IdFranquicias',$query);

    $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago3','refresh');
    }
  }

   function buscarP3($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

   $this->db->SELECT('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->FROM('pago3');
    $this->db->like('ClienteVenta', $query);

    $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago3','refresh');
    }
  }

   function buscarVP4($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

    $this->db->select('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->FROM('pago4');
    $this->db->where('franquicias_IdFranquicias',$query);

    $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago4','refresh');
    }
  }



   function buscarP4($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del cliente)

   $this->db->SELECT('*');
    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
    $this->db->FROM('pago4');
    $this->db->like('ClienteVenta', $query);

    $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      echo "<script>alert('No se encontro el pago solicitado');</script>";
            redirect('pagos/administrador/pagosA/pago3','refresh');
    }
  }

      public function BuscarUsuario(){

    $this->db->select('*');
    $this->db->from('usuarios');
    $query = $this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->NombreUsuario, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }











 
  public function BuscarFranq(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias ORDER BY NombreFranquicia ASC'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

         
    public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->NombreFranquicia, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

   

 
}
